Bug 50857 - Invalid command stream with CAICOS when ColorTiling2D enabled
Summary: Invalid command stream with CAICOS when ColorTiling2D enabled
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: 8.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 14:15 UTC by Chris Rankin
Modified: 2012-08-08 19:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
lspci output (44.09 KB, text/plain)
2012-06-07 14:16 UTC, Chris Rankin
Details
dmesg output (480.81 KB, text/plain)
2012-06-07 14:16 UTC, Chris Rankin
Details
Xorg log file (40.49 KB, text/plain)
2012-06-08 06:02 UTC, Chris Rankin
Details
log file from gdm greeter (32.89 KB, text/plain)
2012-06-08 06:03 UTC, Chris Rankin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rankin 2012-06-07 14:15:24 UTC
This might also be a bug in Linux kernel or radeon_drv.so.

Just upgraded my 64 bit HD6450 machine to Fedora 17, and gnome-shell fails immediately (login screen). Disabling ColorTiling2D in xorg.conf fixes it. ColorTiling2D worked OK - or did nothing - in Fedora 16 with radeon_drv.so from git and 3.3.7 kernel.

dmesg log and lspci output are attached.
Comment 1 Chris Rankin 2012-06-07 14:16:13 UTC
Created attachment 62765 [details]
lspci output
Comment 2 Chris Rankin 2012-06-07 14:16:48 UTC
Created attachment 62766 [details]
dmesg output
Comment 3 Michel Dänzer 2012-06-07 23:41:39 UTC
Please (always) attach the Xorg.0.log file corresponding to the failure. The output from gnome-shell might also be interesting.
Comment 4 Chris Rankin 2012-06-08 06:02:28 UTC
Created attachment 62793 [details]
Xorg log file
Comment 5 Chris Rankin 2012-06-08 06:03:49 UTC
Created attachment 62794 [details]
log file from gdm greeter

It's impossible actually to login.
Comment 6 Chris Rankin 2012-06-08 06:04:25 UTC
Comment on attachment 62794 [details]
log file from gdm greeter

>gnome-session[1773]: DEBUG(+): Enabling debugging
>gnome-session[1773]: DEBUG(+): GsmXsmpServer: SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1773,unix/unix:/tmp/.ICE-unix/1773
>
>gnome-session[1773]: DEBUG(+): GsmShell: Not connected to the shell
>gnome-session[1773]: DEBUG(+): GsmManager: setting client store 0x1e672a0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 1: signum=4 (nil)
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 4 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 2: signum=7 (nil)
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 7 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 3: signum=11 (nil)
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 11 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 4: signum=6 (nil)
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 6 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 5: signum=5 (nil)
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 5 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 6: signum=8 0x41c9f0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 8 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 7: signum=1 0x41c9f0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 1 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 8: signum=10 0x41c9f0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 10 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 9: signum=15 0x41c9f0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 15 signals
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Adding handler 10: signum=2 0x41c9f0
>gnome-session[1773]: DEBUG(+): GdmSignalHandler: Registering for 2 signals
>gnome-session[1773]: DEBUG(+): fill: *** Getting session 'gdm-shell'
>gnome-session[1773]: DEBUG(+): fill: *** Looking if /var/lib/gdm/.config/gnome-session/sessions/gdm-shell.session is a valid session file
>gnome-session[1773]: DEBUG(+): Cannot use session '/var/lib/gdm/.config/gnome-session/sessions/gdm-shell.session': non-existing or invalid file.
>gnome-session[1773]: DEBUG(+): fill: *** Looking if /etc/xdg/gnome-session/sessions/gdm-shell.session is a valid session file
>gnome-session[1773]: DEBUG(+): Cannot use session '/etc/xdg/gnome-session/sessions/gdm-shell.session': non-existing or invalid file.
>gnome-session[1773]: DEBUG(+): fill: *** Looking if /usr/share/gdm/greeter/gnome-session/sessions/gdm-shell.session is a valid session file
>gnome-session[1773]: DEBUG(+): Cannot use session '/usr/share/gdm/greeter/gnome-session/sessions/gdm-shell.session': non-existing or invalid file.
>gnome-session[1773]: DEBUG(+): fill: *** Looking if /usr/local/share/gnome-session/sessions/gdm-shell.session is a valid session file
>gnome-session[1773]: DEBUG(+): Cannot use session '/usr/local/share/gnome-session/sessions/gdm-shell.session': non-existing or invalid file.
>gnome-session[1773]: DEBUG(+): fill: *** Looking if /usr/share/gnome-session/sessions/gdm-shell.session is a valid session file
>gnome-session[1773]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
>gnome-session[1773]: DEBUG(+): fill: *** Checking required components and providers
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.config/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking for file 'gnome-settings-daemon.desktop'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.config/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: found in XDG dirs: '/etc/xdg/autostart/gnome-settings-daemon.desktop'
>gnome-session[1773]: DEBUG(+): fill: *** Done checking required components and providers
>gnome-session[1773]: DEBUG(+): fill: *** Adding required components
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.config/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
>gnome-session[1773]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
>gnome-session[1773]: DEBUG(+): GsmStore: Adding object id /org/gnome/SessionManager/App1 to store
>gnome-session[1773]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking for file 'gnome-settings-daemon.desktop'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.config/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/var/lib/gdm/.local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/gdm/greeter/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications'
>gnome-session[1773]: DEBUG(+): GsmUtil: found in XDG dirs: '/etc/xdg/autostart/gnome-settings-daemon.desktop'
>gnome-session[1773]: DEBUG(+): GsmManager: read /etc/xdg/autostart/gnome-settings-daemon.desktop
>gnome-session[1773]: DEBUG(+): GsmStore: Adding object id /org/gnome/SessionManager/App2 to store
>gnome-session[1773]: DEBUG(+): GsmManager: adding required app gnome-settings-daemon.desktop
>gnome-session[1773]: DEBUG(+): fill: *** Done adding required components
>gnome-session[1773]: DEBUG(+): fill: *** Adding default providers
>gnome-session[1773]: DEBUG(+): fill: *** Done adding default providers
>gnome-session[1773]: DEBUG(+): GsmManager: GSM starting to manage
>gnome-session[1773]: DEBUG(+): GsmManager: App startup summary
>gnome-session[1773]: DEBUG(+): GsmManager: Phase INITIALIZATION
>gnome-session[1773]: DEBUG(+): GsmManager:	ID: /org/gnome/SessionManager/App2	app-id:gnome-settings-daemon.desktop	is-disabled:0	is-conditionally-disabled:0
>gnome-session[1773]: DEBUG(+): GsmManager: Phase WINDOW_MANAGER
>gnome-session[1773]: DEBUG(+): GsmManager: Phase PANEL
>gnome-session[1773]: DEBUG(+): GsmManager: Phase DESKTOP
>gnome-session[1773]: DEBUG(+): GsmManager: Phase APPLICATION
>gnome-session[1773]: DEBUG(+): GsmManager:	ID: /org/gnome/SessionManager/App1	app-id:gnome-shell.desktop	is-disabled:0	is-conditionally-disabled:0
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase INITIALIZATION
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting app '/org/gnome/SessionManager/App2'
>gnome-session[1773]: DEBUG(+): Starting app: /org/gnome/SessionManager/App2
>gnome-session[1773]: DEBUG(+): GsmAutostartApp: starting gnome-settings-daemon.desktop: command=/usr/libexec/gnome-settings-daemon startup-id=109c0692b7f09aeef7133916011696610100000017730001
>gnome-session[1773]: DEBUG(+): GsmAutostartApp: started pid:1784
>gnome-session[1773]: DEBUG(+): GsmManager: RegisterClient 
>gnome-session[1773]: DEBUG(+): GsmManager: Adding new client 109c0692b7f09aeef7133916011713292900000017730002 to session
>gnome-session[1773]: DEBUG(+): uid = 42
>gnome-session[1773]: DEBUG(+): pid = 1803
>gnome-session[1773]: DEBUG(+): GsmStore: Adding object id /org/gnome/SessionManager/Client1 to store
>gnome-session[1773]: DEBUG(+): GsmManager: Client added: /org/gnome/SessionManager/Client1
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client1 interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager interface=org.gnome.SessionManager method=RegisterClient
>gnome-session[1773]: DEBUG(+): GsmManager: RegisterClient 109c0692b7f09aeef7133916011696610100000017730001
>gnome-session[1773]: DEBUG(+): GsmManager: Adding new client 109c0692b7f09aeef7133916011696610100000017730001 to session
>gnome-session[1773]: DEBUG(+): uid = 42
>gnome-session[1773]: DEBUG(+): pid = 1784
>gnome-session[1773]: DEBUG(+): GsmStore: Adding object id /org/gnome/SessionManager/Client2 to store
>gnome-session[1773]: DEBUG(+): GsmManager: Client added: /org/gnome/SessionManager/Client2
>gnome-session[1773]: DEBUG(+): App gnome-settings-daemon.desktop registered
>gnome-session[1773]: DEBUG(+): GsmManager: ending phase INITIALIZATION
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase WINDOW_MANAGER
>
>gnome-session[1773]: DEBUG(+): GsmManager: ending phase WINDOW_MANAGER
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase PANEL
>
>gnome-session[1773]: DEBUG(+): GsmManager: ending phase PANEL
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase DESKTOP
>
>gnome-session[1773]: DEBUG(+): GsmManager: ending phase DESKTOP
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase APPLICATION
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting app '/org/gnome/SessionManager/App1'
>gnome-session[1773]: DEBUG(+): Starting app: /org/gnome/SessionManager/App1
>gnome-session[1773]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=gnome-shell --gdm-mode startup-id=109c0692b7f09aeef7133916011696151400000017730000
>gnome-session[1773]: DEBUG(+): GsmAutostartApp: started pid:1810
>gnome-session[1773]: DEBUG(+): GsmManager: ending phase APPLICATION
>
>gnome-session[1773]: DEBUG(+): GsmManager: starting phase RUNNING
>
>gnome-session[1773]: DEBUG(+): GsmPresence: adding idle watch
>gnome-session[1773]: DEBUG(+): GSIdleMonitor: creating new alarm for positive transition wait=600000
>gnome-session[1773]: DEBUG(+): GSIdleMonitor: creating new alarm for negative transition wait=599999
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Client2 interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmShell: Connected to the shell
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmXsmpServer: accept_ice_connection()
>gnome-session[1773]: DEBUG(+): GsmXsmpServer: auth_ice_connection()
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: Setting up new connection
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: New client '0x1eb9000 []'
>gnome-session[1773]: DEBUG(+): GsmStore: Adding object id /org/gnome/SessionManager/Client3 to store
>gnome-session[1773]: DEBUG(+): GsmManager: Client added: /org/gnome/SessionManager/Client3
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: Initializing client 0x1eb9000 []
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: Client '0x1eb9000 []' received RegisterClient(109c0692b7f09aeef7133916011696151400000017730000)
>gnome-session[1773]: DEBUG(+): GsmManager: Adding new client 109c0692b7f09aeef7133916011696151400000017730000 to session
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: Sending RegisterClientReply to '0x1eb9000 [109c0692b7f09aeef7133916011696151400000017730000]'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient: Set properties from client '0x1eb9000 [109c0692b7f09aeef7133916011696151400000017730000]'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   UserID = 'gdm'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   RestartStyleHint = 0
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   ProcessID = '1810'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   CurrentDirectory = '/var/lib/gdm'
>gnome-session[1773]: DEBUG(+): GsmXSMPClient:   _GSM_Priority = 20
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/gnome/SessionManager/Presence interface=org.freedesktop.DBus.Properties method=GetAll
>Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
>Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>gnome-session[1773]: DEBUG(+): GsmDBusClient: obj_path=/org/freedesktop/DBus interface=org.freedesktop.DBus method=NameOwnerChanged
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
>radeon: The kernel rejected CS, see dmesg for more information.
Comment 7 Chris Rankin 2012-06-08 06:10:16 UTC
(In reply to comment #6)
> Comment on attachment 62794 [details]
> log file from gdm greeter
> 
> >gnome-session[1773]: DEBUG(+): Enabling debugging
...

WTF? +1 vote for being able to edit comments in bugzilla!
Comment 8 Zoltán Böszörményi 2012-06-08 06:49:31 UTC
(In reply to comment #2)
> Created attachment 62766 [details]
> dmesg output

The same error happens on TURKS chips too with Fedora 17, kernel 3.4.0-1.fc17.x86_64:

Jun  8 15:24:32 localhost kernel: [  103.638975] radeon 0000:00:01.0: evergreen_cs_track_validate_texture:796 texture bo too small (laye
r size 10223616, offset 0, max layer 1, depth 1, bo size 2555904) (1024 624)
Jun  8 15:24:32 localhost kernel: [  103.638981] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
Jun  8 15:24:32 localhost kernel: [  103.654296] radeon 0000:00:01.0: evergreen_cs_track_validate_texture:796 texture bo too small (laye
r size 10223616, offset 0, max layer 1, depth 1, bo size 2555904) (1024 624)
Jun  8 15:24:32 localhost kernel: [  103.654309] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
Jun  8 15:24:32 localhost kernel: [  103.672187] radeon 0000:00:01.0: evergreen_cs_track_validate_texture:796 texture bo too small (laye
r size 10223616, offset 0, max layer 1, depth 1, bo size 2555904) (1024 624)
Jun  8 15:24:32 localhost kernel: [  103.672200] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
Jun  8 15:24:32 localhost kernel: [  103.688839] radeon 0000:00:01.0: evergreen_cs_track_validate_texture:796 texture bo too small (laye
r size 10223616, offset 0, max layer 1, depth 1, bo size 2555904) (1024 624)
Jun  8 15:24:32 localhost kernel: [  103.688844] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
Jun  8 15:24:32 localhost kernel: [  103.704684] radeon 0000:00:01.0: evergreen_cs_track_validate_texture:796 texture bo too small (laye
r size 10223616, offset 0, max layer 1, depth 1, bo size 2555904) (1024 624)
Jun  8 15:24:32 localhost kernel: [  103.704696] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !

My Asus K53T laptop started to produce it yesterday evening, CPU is AMD A4-3300M, I first thought I have to RMA it because booting back to 3.3.7 didn't cure it. Then I did a yum reinstall "*" and with 3.3.7 it started up properly. With 3.4.0, it still produces these errors. The visible symptoms are missing icons (even the GDM login screen shows the problem: these anonymous faceless icons beside the usernames are missing), blue screen and apparently wrong blits, solid colored rectangles on the screen.

And my main computer just reproduced it about 10 minutes ago with kernel 3.4.0.
Ctrl-Alt-BkSp cured it. The videocard is Radeon HD6570.

$ rpm -q kernel xorg-x11-server-Xorg xorg-x11-drv-ati
kernel-3.3.7-1.fc17.x86_64
kernel-3.4.0-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
Comment 9 Michel Dänzer 2012-06-08 06:56:30 UTC
Does the problem also occur if you don't specify Option "ColorTiling2D" at all in xorg.conf? It's disabled by default.
Comment 10 Zoltán Böszörményi 2012-06-08 07:02:49 UTC
(In reply to comment #9)
> Does the problem also occur if you don't specify Option "ColorTiling2D" at all
> in xorg.conf? It's disabled by default.

I thought it was on so this is what I created yesterday:

# cat /etc/X11/xorg.conf.d/01-radeon.conf 
Section "Device"
	Identifier	"Radeon"
	Driver		"radeon"
	Option "ColorTiling2D" "off"
EndSection

and Xorg.0.log had this line:

[    23.358] (**) RADEON(0): Option "ColorTiling2D" "off"

So yes, it happens even with explicitly disabling it and without the above file too.
Comment 11 Michel Dänzer 2012-06-08 07:15:04 UTC
(In reply to comment #10)
> [    23.358] (**) RADEON(0): Option "ColorTiling2D" "off"
> 
> So yes, it happens even with explicitly disabling it and without the above file
> too.

The original report here says:

> [...] Disabling ColorTiling2D in xorg.conf fixes it.

So, please file your own report, if possible with more details about what exactly changed to make the problem start occurring.
Comment 12 Chris Rankin 2012-06-08 07:36:31 UTC
(In reply to comment #11)
> So, please file your own report, if possible with more details about what
> exactly changed to make the problem start occurring.

Sounds like a difference between CAICOS and TURKS.
Comment 13 Jerome Glisse 2012-06-08 12:52:11 UTC
Patch that should fix the issue :

http://people.freedesktop.org/~glisse/0001-drm-radeon-fix-tiling-and-command-stream-checking-on.patch
Comment 14 Jerome Glisse 2012-06-08 13:42:40 UTC
Note that this should fix the issue when ColorTiling2D is enabled

Updated v3 same url, please test v3 version thx
Comment 15 Chris Rankin 2012-06-09 09:37:40 UTC
(In reply to comment #14)
> Updated v3 same url, please test v3 version thx

Yes, this patch (plus compile-fix from #50892) fixes ColorTiling2D support, thanks.

[3.416710] [drm] Initialized radeon 2.16.0 20080528 for 0000:01:00.0 on minor 0

But it is also spamming my dmesg log with messages like:

[  507.899565] [drm] evergreen_cs_track_validate_depth 688 surface nbx,y (1280 1024) mode 4 format 26 surf.tsplit 64 banks (2 1 1) tilea 1
[  507.974505] [drm] evergreen_cs_track_validate_depth 688 surface nbx,y (1280 1024) mode 4 format 26 surf.tsplit 64 banks (2 1 1) tilea 1
[  508.135274] [drm] evergreen_cs_track_validate_depth 688 surface nbx,y (1280 1024) mode 4 format 26 surf.tsplit 64 banks (2 1 1) tilea 1
[  508.152312] [drm] evergreen_cs_track_validate_depth 688 surface nbx,y (1280 1024) mode 4 format 26 surf.tsplit 64 banks (2 1 1) tilea 1
[  508.169122] [drm] evergreen_cs_track_validate_depth 688 surface nbx,y (1280 1024) mode 4 format 26 surf.tsplit 64 banks (2 1 1) tilea 1

I'm guessing that this from is the extra DRM_INFO() statement, which I shall be removing immediately...
Comment 16 Florian Mickler 2012-07-01 03:47:24 UTC
A patch referencing this bug report has been merged in Linux v3.5-rc3:

commit d26098759cf6d32148649c165f87a7590bc25b89
Author: Jerome Glisse <jglisse@redhat.com>
Date:   Sat Jun 9 10:57:41 2012 -0400

    drm/radeon: fix tiling and command stream checking on evergreen v3
Comment 17 Alexandre Demers 2012-08-08 19:30:04 UTC
Since the proposed patch fixed the issue and it was merged under 3.5-rc3, should this bug be closed?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.